import { Component ,ViewChild,OnInit } from '@angular/core';
import { UUID } from 'angular2-uuid';
import { Validators, FormControl, FormGroup } from '@angular/forms';
import { Router, ActivatedRoute, Params, Data } from '@angular/router';
import { DataService } from './../../services/data.service';
import { FileUploader } from './../file-upload/file-uploader.class';
import {isNumber, padNumber, toInteger, isDefined} from './../../utils/integer';
import { MyAwesomeAnimations  } from './../../utils/animations';
import { CustomValidators } from './../../utils/validation';
import { ModalService } from '../modal/modal.service';
const now = new Date();


@Component({
   
    template: require('./form.elements.component.html'),
    styles: [require('./form.elements.component.css')],
      animations: [new MyAwesomeAnimations().SetTrigger("slideIn")],
})

export class FormElementComponent implements OnInit{
 
private rate: number;
 slideInState = 'in';
   ratings=[1,2,3,4,5,6,7,8,9,10];
   constructor(private route: ActivatedRoute,
    private router: Router,private DataService: DataService,private modalService: ModalService) { 
this.rate = 2;
     }
    

  public msg:string="";
  emailTy={
email:""
 };
 start_time = {hour: 10, minute: 20};
 
  StartTimeMeridian = true;
 
  datepickerDateFormat={
    date:{day: now.getDate(),month: now.getMonth() + 1,year: now.getFullYear()}
    
  };
feedback={
                  linkedinURL:"",
                  
                  rating:3,
                comment:""
                };
inputModel="";

openModal(id: string){
        this.modalService.open(id);
    }

    closeModal(id: string){
        this.modalService.close(id);
    }
 ngOnInit() {
  }  

}


